#### D.12.1.3 PerfectPowerTest

Procedure from library `aksaka.lib` (see aksaka_lib).

Usage:
  PerfectPowerTest(n);

Return:
  0 if there are numbers a,b>1 with a^b=n;
  1 if there are no numbers a,b>1 with a^b=n;
  if printlevel>=1 and there are a,b>1 with a^b=n,
  then a,b are printed

Example:

    LIB "aksaka.lib";
    PerfectPowerTest(887503681);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.